program test_installcheck
  ! Note that this program is not intended to be run. It will just be compiled and linked by "make installcheck"
  ! to verify that the installation was successful.
  implicit none

  call installcheck_modern_api()
  call installcheck_scalapack_api()

  contains

    subroutine installcheck_modern_api()
      use zolo_svd
      type(zolo_svd_t) :: svd
      call svd%set_bounds(1.0, 2.0)
    end subroutine

    subroutine installcheck_scalapack_api()
      use zolo_svd_scalapack_api
      real :: test(1)
      integer :: desc(1), info
      call psgesvd_zolo('N', 'N', 1, 1, test, 1, 1, desc, test, test, 1, 1, desc, test, 1, 1, desc, test, 1, info)
    end subroutine

end program
